Subject: Re: [Cellar] New Version Notification - draft-ietf-cellar-ffv1-18.txt

From: Dave Rice <[email-masked]>
Date: Tue, 1 Dec 2020 16:16:45 -0500

Hi Roman, Spencer,

> On Oct 30, 2020, at 1:41 PM, Dave Rice <[email-masked]> wrote:
> 
> Thank you Roman,
> 
>> On Oct 21, 2020, at 2:03 PM, Spencer Dawkins at IETF <[email-masked]> wrote:
>> 
>> Hi, Roman,
>> 
>> On Wed, Oct 21, 2020 at 12:38 PM Roman Danyliw <[email-masked]> wrote:
>> Hi!
>> (I can't find your response email to my ballot in my mail client despite it being in the archive, so apologizes for making the new thread).
>> 
>> Thanks for the -18 which cleared most of the COMMENTs.  I updated my ballot.
>> 
>> In the spirit of clearing what I consider a straightforward DISCUSS, might I suggest:
>> 
>> OLD
>> 
>>   Implementations of the FFV1 codec need to take appropriate security
>>    considerations into account, as outlined in [RFC4732].  It is
>>    extremely important for the decoder to be robust against malicious
>>    payloads.  Malicious payloads MUST NOT cause the decoder to overrun
>>    its allocated memory or to take an excessive amount of resources to
>>    decode.  The same applies to the encoder, ... 
>> 
>> NEW
>> 
>> Implementations of the FFV1 codec need to take appropriate security considerations into account.  Those related to denial of service are outlined in Section 2.1 of [RFC4732].  It is extremely important for the decoder to be robust against malicious payloads.  Malicious payloads MUST NOT cause the decoder to overrun its allocated memory or to take an excessive amount of resources to decode.    An overrun in allocated memory could lead to arbitrary code execution by an attacker.  The same applies to the encoder, ...
> 
> The recommendation looks appropriate to me and more clear. I moved it to a pull request at https://github.com/FFmpeg/FFV1/pull/253 for the consideration of the other authors.

Please note that we just updated the draft to include the recommended changes for security considerations on denial of service, which can be reviewed in version 19 of https://datatracker.ietf.org/doc/draft-ietf-cellar-ffv1/. Here’s a link to the diff of version 18 and 19: https://www.ietf.org/rfcdiff?url1=draft-ietf-cellar-ffv1-18&url2=draft-ietf-cellar-ffv1-19&difftype=--html.

Kind Regards,
Dave Rice

---

From: Roman Danyliw <[email-masked]>
Date: Tue, 1 Dec 2020 22:01:03 +0000

Hi Dave!

> -----Original Message-----
> From: Dave Rice <[email-masked]>
> Sent: Tuesday, December 1, 2020 4:17 PM
> To: Spencer Dawkins at IETF <[email-masked]>; Roman
> Danyliw <[email-masked]>
> Cc: [email-masked]; [email-masked]; Codec
> Encoding for LossLess Archiving and Realtime transmission <[email-masked]>;
> Barry Leiba <[email-masked]>
> Subject: Re: [Cellar] New Version Notification - draft-ietf-cellar-ffv1-18.txt
> 
> Hi Roman, Spencer,
> 
> >> (I can't find your response email to my ballot in my mail client despite it
> being in the archive, so apologizes for making the new thread).
> >>
> considerations into account.  Those related to denial of service are outlined in
> Section 2.1 of [RFC4732].  It is extremely important for the decoder to be
> robust against malicious payloads.  Malicious payloads MUST NOT cause the
> decoder to overrun its allocated memory or to take an excessive amount of
> resources to decode.    An overrun in allocated memory could lead to arbitrary
> code execution by an attacker.  The same applies to the encoder, ...
> >
> > The recommendation looks appropriate to me and more clear. I moved it to a
> pull request at https://github.com/FFmpeg/FFV1/pull/253 for the consideration
> of the other authors.
> 
> Please note that we just updated the draft to include the recommended
> changes for security considerations on denial of service, which can be reviewed
> in version 19 of https://datatracker.ietf.org/doc/draft-ietf-cellar-ffv1/. Here’s a
> link to the diff of version 18 and 19: https://www.ietf.org/rfcdiff?url1=draft-
> ietf-cellar-ffv1-18&url2=draft-ietf-cellar-ffv1-19&difftype=--html.

Thanks for the update and pushing this text into -19.  I just cleared my discussion position.

Regards,
Roman

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 1 Dec 2020 17:41:01 -0600

Thanks, Roman and Dave!

Best,

Spencer

On Tue, Dec 1, 2020 at 4:01 PM Roman Danyliw <[email-masked]> wrote:

> > >> In the spirit of clearing what I consider a straightforward DISCUSS,
> might I
> > suggest:
> > >>
> > >> OLD
> > >>
> > in version 19 of
> https://datatracker.ietf.org/doc/draft-ietf-cellar-ffv1/. Here’s a